Skip to content
API Reference
Webhooks

Update webhook

Updates mutable fields. Changing url resets verification and re-runs the handshake.

PATCH/v2/webhooks/{teamId}/{webhookId}

Updates mutable fields. Changing url resets verification and re-runs the handshake.

x-api-key<token>

Public API key generated from Micro settings. Sent as the x-api-key header and validated by AWS API Gateway in front of the service.

In: header

Path Parameters

teamId*string
Formatuuid
webhookId*string
Formatuuid

Request Body

application/json

Partial update. Changing url resets verification and re-runs the handshake.

Properties1 <= properties

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://developers.micro.so/v2/webhooks/${MICRO_TEAM_ID}/${WEBHOOK_ID}" \  -H "x-api-key: $MICRO_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "url": "http://example.com",  "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",  "enabled": true,  "verified": true,  "verified_at": "2019-08-24T14:15:22Z",  "verification_token": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "verification": {    "status": "pending"  }}
micro.so